curl --request GET \
--url https://api.example.com/api/v1/pnl \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.example.com/api/v1/pnl"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.example.com/api/v1/pnl', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"totalTurnover": 98350,
"validTurnover": 72415.3,
"netRealizedSpread": 1482.55,
"nakedPnl": -220.1,
"unhedgedStake": 1622.78,
"unhedgedStakePct": 1.65,
"avgHedgePriceDrift": 0.0042,
"settledPairCount": 1420,
"nakedSettledCount": 12,
"fromDate": "2026-01-29",
"toDate": "2026-02-01"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}P&L
Profit & loss and turnover for your client.
Authorizations
Client API key (UUID format). Get your key from the admin dashboard.
Query Parameters
Filter orders created on or after this date (YYYY-MM-DD)
Filter orders created on or before this date (YYYY-MM-DD)
Response
Market-making P&L statistics
Market-making P&L response for a client.
Total stake successfully laid off on the bookmaker leg
Risk-adjusted turnover on the bookmaker leg (ABS of P&L per settled bet)
Net spread captured across fully-settled hedged pairs (absolute $)
Directional P&L from settled exchange fills that were never hedged
Absolute $ of matched exchange stake that never reached a successful hedge
Percent of matched exchange stake that never reached a successful hedge
Stake-weighted mean drift between planned and actual hedge odds
Number of fully-settled hedged pairs contributing to net_realized_spread
Number of settled exchange fills with no successful hedge (naked)
Start date filter (if applied)
End date filter (if applied)